# Boost Exception

## boost/exception/info_tuple.hpp

### Synopsis

    #include <boost/exception/info.hpp>
    #include <boost/tuple/tuple.hpp>

    namespace
    boost
        {
        template <class E, class Tag1, class T1, ..., class TagN, class TN>
        E const & operator<<( E const & x,
            tuple<
                error_info<Tag1,T1>,
                ...,
                error_info<TagN,TN> > const & v );
        }

See also: boost/exception/all.hpp | Synopsis | tuple/operator<<